<? require("ProgressClass.php"); ?>
<html>
<head>
<title>ProgressClass v1.0 - Beispiel 1</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
.normal {  font-family: Arial, Helvetica, sans-serif; font-size: 12px}
.ueberschrift {  font-family: Arial, Helvetica, sans-serif; font-size: 16px; font-weight: bold}
.unterueberschrift {  font-family: Arial, Helvetica, sans-serif; font-size: 14px; font-weight: bold; font-style: italic}
-->
</style>
</head>

<body bgcolor="#FFFFFF" text="#000000">
<p class="ueberschrift">ProgressClass v1.0 - Beispiel 1</p>
<p class="unterueberschrift">Dieses Script benutzt die Standardeinstellungen von ProgressClass.<br>
(funktioniert nur ab IE 5.x oder Netscape 6.x)</p>
<?
$progress=new ProgressClass();
$progress->make();
?>
<p class="normal">
<?
$blindtext="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est. ";
$blindtext=str_repeat($blindtext,50);
for ($i=0;$i<=strlen($blindtext)-1;$i+=10) {
    usleep(100);
    echo substr($blindtext,$i,10);
    $progress->setPerX($i,strlen($blindtext)-1);
}
$progress->hide();
?>
</p>
</body>
</html>
